MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029156Open CASCADE[OCCT] OCCT:Codingpublic2017-09-28 22:592017-10-09 10:21
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0*Fixed in Version 
Summary0029156: Coding Rules - eliminate deprecation compiler warnings when targeting macOS 10.12
DescriptionThe following deprecation compiler warnings should be eliminated when targeting macOS 10.12:
Cocoa_Window.mm:98, Clang (LLVM based), Priority: Normal
'NSTitledWindowMask' is deprecated: first deprecated in macOS 10.12

Cocoa_Window.mm:98, Clang (LLVM based), Priority: Normal
'NSClosableWindowMask' is deprecated: first deprecated in macOS 10.12

Cocoa_Window.mm:98, Clang (LLVM based), Priority: Normal
'NSResizableWindowMask' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:56, Clang (LLVM based), Priority: Normal
'NSCompositeSourceOver' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:202, Clang (LLVM based), Priority: Normal
'NSTitledWindowMask' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:202, Clang (LLVM based), Priority: Normal
'NSClosableWindowMask' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:202, Clang (LLVM based), Priority: Normal
'NSResizableWindowMask' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:583, Clang (LLVM based), Priority: Normal
'NSLeftMouseDownMask' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:583, Clang (LLVM based), Priority: Normal
'NSRightMouseDownMask' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:587, Clang (LLVM based), Priority: Normal
'NSMouseMovedMask' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:587, Clang (LLVM based), Priority: Normal
'NSLeftMouseDraggedMask' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:607, Clang (LLVM based), Priority: Normal
'NSLeftMouseDown' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:611, Clang (LLVM based), Priority: Normal
'NSRightMouseDown' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:615, Clang (LLVM based), Priority: Normal
'NSMouseMoved' is deprecated: first deprecated in macOS 10.12

Draw_Window_1.mm:615, Clang (LLVM based), Priority: Normal
'NSLeftMouseDragged' is deprecated: first deprecated in macOS 10.12

OpenGl_Window_1.mm:165, Clang (LLVM based), Priority: Normal
'NSOpenGLPFAStereo' is deprecated: first deprecated in macOS 10.12

ViewerTest_ViewerCommands_1.mm:230, Clang (LLVM based), Priority: Normal
'NSShiftKeyMask' is deprecated: first deprecated in macOS 10.12

ViewerTest_ViewerCommands_1.mm:240, Clang (LLVM based), Priority: Normal
'NSShiftKeyMask' is deprecated: first deprecated in macOS 10.12

ViewerTest_ViewerCommands_1.mm:251, Clang (LLVM based), Priority: Normal
'NSControlKeyMask' is deprecated: first deprecated in macOS 10.12

ViewerTest_ViewerCommands_1.mm:284, Clang (LLVM based), Priority: Normal
'NSControlKeyMask' is deprecated: first deprecated in macOS 10.12


Other new warnings:
AppDef_MyLineTool.cxx:146, Clang (LLVM based), Priority: Normal
binding dereferenced null pointer to reference has undefined behavior
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0070950)
git (administrator)
2017-09-28 23:49

Branch CR29156 has been created by kgv.

SHA-1: 90f2c8ec4030848b06a6e05553ac961815078735


Detailed log of new commits:

Author: kgv
Date: Thu Sep 28 23:48:55 2017 +0300

    0029156: Coding Rules - eliminate deprecation compiler warnings when targeting macOS 10.12
(0070955)
abv (manager)
2017-09-29 10:31

For the warning in AppDef_MyLineTool.cxx I have created separate issue 0029160
(0071038)
git (administrator)
2017-09-29 17:12

Branch CR29156 has been deleted by kgv.

SHA-1: 90f2c8ec4030848b06a6e05553ac961815078735

- Related Changesets
occt: master e2b4dea2
Timestamp: 2017-09-28 20:48:55
Author: kgv
Details ] Diff ]
0029156: Coding Rules - eliminate deprecation compiler warnings when targeting macOS 10.12
mod - src/Cocoa/Cocoa_Window.mm Diff ] File ]
mod - src/Draw/Draw_Window_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands_1.mm Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-28 22:59 kgv New Issue
2017-09-28 22:59 kgv Assigned To => kgv
2017-09-28 23:49 git Note Added: 0070950
2017-09-29 10:31 abv Note Added: 0070955
2017-09-29 13:26 kgv Changeset attached => occt master e2b4dea2
2017-09-29 13:26 kgv Status new => verified
2017-09-29 13:26 kgv Resolution open => fixed
2017-09-29 17:12 git Note Added: 0071038
2017-10-09 10:21 bugmaster Test case number => Not required


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker